/**
 *
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.apache.geronimo.kernel.config;

import java.io.IOException;
import java.util.List;

/**
 *
 *
 *
 * @version $Rev: 57392 $ $Date: 2004-11-10 15:14:54 -0700 (Wed, 10 Nov 2004) $
 */
public interface PersistentConfigurationList {
    boolean isKernelFullyStarted();

    void setKernelFullyStarted(boolean kernelFullyStarted);

    void save() throws IOException;

    List restore() throws IOException;
}
